Loading...
Searching...
No Matches
AVBufferRef Struct Reference
libavutil » Data Structures » AVBuffer

A reference to a data buffer. More...

`#include <libavutil/buffer.h>`

## Data Fields

AVBuffer * | buffer
uint8_t * | data
| The data buffer.
size_t | size
| Size of data in bytes.

## Detailed Description

A reference to a data buffer.

The size of this struct is not a part of the public ABI and it is not meant to be allocated directly.

Examples
  hw_decode.c, qsv_decode.c, qsv_transcode.c, vaapi_encode.c, and vaapi_transcode.c.

Definition at line 82 of file buffer.h.

## Field Documentation

## buffer

AVBuffer* AVBufferRef::buffer

Definition at line 83 of file buffer.h.

## data

uint8_t* AVBufferRef::data

The data buffer.

It is considered writable if and only if this is the only reference to the buffer, in which case av_buffer_is_writable() returns 1.

Examples
  vaapi_encode.c.

Definition at line 90 of file buffer.h.

Referenced by set_hwframe_ctx().

## size

size_t AVBufferRef::size

Size of data in bytes.

Definition at line 94 of file buffer.h.

The documentation for this struct was generated from the following file:

- libavutil/buffer.h